<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
    <ResultCond name="register" next="${state.done}"/>
    <ResultCond name="back" next="${state.exit.1}"/>

    <Response value="AUTH_CONTINUE">
	    <Gui name="eid_registration">
		    <GuiElem name="register" type="hidden" value="UNKNOWN" optional="true"/> 
			<GuiElem name="authRequestId" type="hidden" value="${sess:ch.nevis.auth.saml.request.id}" optional="true"/>
	    </Gui>
    </Response>

    <property name="script" value="file:///var/opt/nevisauth/default/conf/eid_registration.groovy"/>
 </AuthState>